Please make sure that you upgrade to 7.3 or 8.0 CAST Versions.